client.stub.irepositorytac

## Class IRepositoryTaccuinoService

- java.lang.Object
- - javax.xml.ws.Service
  - - client.stub.irepositorytac.IRepositoryTaccuinoService

-     @WebServiceClient(name="IRepositoryTaccuinoService",
                        wsdlLocation="classpath:wsdl/iRepositoryTaccuino.wsdl",
                        targetNamespace="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/iRepositoryTaccuino")
      public class IRepositoryTaccuinoService
      extends Service

  This class was generated by Apache CXF 3.3.4 2024-11-15T12:10:59.970+01:00 Generated source version: 3.3.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.xml.ws.Service

      `Service.Mode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static QName` | `IRepositoryTaccuinoPort`
    `static QName` | `SERVICE`
    `static URL` | `WSDL_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IRepositoryTaccuinoService()`
    `IRepositoryTaccuinoService(URL wsdlLocation)`
    `IRepositoryTaccuinoService(URL wsdlLocation, QName serviceName)`
    `IRepositoryTaccuinoService(URL wsdlLocation, QName serviceName, WebServiceFeature... features)`
    `IRepositoryTaccuinoService(URL wsdlLocation, WebServiceFeature... features)`
    `IRepositoryTaccuinoService(WebServiceFeature... features)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRepositoryTaccuino` | `getIRepositoryTaccuinoPort()`
    `IRepositoryTaccuino` | `getIRepositoryTaccuinoPort(WebServiceFeature... features)`

    - ### Methods inherited from class javax.xml.ws.Service

      `addPort, create, create, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSDL_LOCATION

          public static final URL WSDL_LOCATION

    - #### SERVICE

          public static final QName SERVICE

    - #### IRepositoryTaccuinoPort

          public static final QName IRepositoryTaccuinoPort

  - ### Constructor Detail

    - #### IRepositoryTaccuinoService

          public IRepositoryTaccuinoService(URL wsdlLocation)

    - #### IRepositoryTaccuinoService

          public IRepositoryTaccuinoService(URL wsdlLocation,
                                            QName serviceName)

    - #### IRepositoryTaccuinoService

          public IRepositoryTaccuinoService()

    - #### IRepositoryTaccuinoService

          public IRepositoryTaccuinoService(WebServiceFeature... features)

    - #### IRepositoryTaccuinoService

          public IRepositoryTaccuinoService(URL wsdlLocation,
                                            WebServiceFeature... features)

    - #### IRepositoryTaccuinoService

          public IRepositoryTaccuinoService(URL wsdlLocation,
                                            QName serviceName,
                                            WebServiceFeature... features)

  - ### Method Detail

    - #### getIRepositoryTaccuinoPort

          @WebEndpoint(name="IRepositoryTaccuinoPort")
          public IRepositoryTaccuino getIRepositoryTaccuinoPort()

      Returns:
        returns IRepositoryTaccuino

    - #### getIRepositoryTaccuinoPort

          @WebEndpoint(name="IRepositoryTaccuinoPort")
          public IRepositoryTaccuino getIRepositoryTaccuinoPort(WebServiceFeature... features)

      Parameters:
        `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
      Returns:
        returns IRepositoryTaccuino

Copyright © 2024. All rights reserved.